//
//  CATransaction+Extension.swift
//  MVMCoreUI
//
//  Created by Kevin Christiano on 10/2/19.
//  Copyright © 2019 Verizon Wireless. All rights reserved.
//

import Foundation


extension CATransaction {
    
    /// Performs changes without activating animation actions.
    static func withDisabledAnimations(_ actionBlock: ActionBlock) {
        CATransaction.begin()
        CATransaction.setDisableActions(true)
        actionBlock()
        CATransaction.commit()
    }
}
